image: alpine/edge
packages:
  - cmake
  - clang
  - git
  - patch
  - python3
  - curl-dev
  - openssl-dev
  - xz-dev
  - libxml2-dev
  - bzip2
  - cpio
  - libbz2
  - zlib-dev
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
  - https://github.com/tpoechtrager/osxcross
tasks:
  - build: |
    cd osxcross/tarballs
    wget https://github.com/phracker/MacOSX-SDKs/releases/download/11.3/MacOSX10.13.sdk.tar.xz
    cd ..
    UNATTENDED=1 ./build.sh
    export PATH="$(pwd)/target/bin:$PATH"
    osxcross-macports -v install qt5-qtbase curl pkgconfig
    export PKG_CONFIG_PATH="$(pwd)/target/macports/pkgs/opt/local/lib/pkgconfig"
    cd ../minori
    mkdir build
    cd build
    cmake .. -G "Unix Makefiles" -DCMAKE_SYSTEM_NAME="Darwin" -DCMAKE_C_COMPILER="o64-clang" -DCMAKE_CXX_COMPILER="o64-clang++" -DCMAKE_FIND_ROOT_PATH="$(pwd)/../../osxcross/target/macports/pkgs/opt/local/" -DCMAKE_OSX_SYSROOT="$(pwd)/../../osxcross/target/SDK/MacOSX10.13.sdk/"
    make
